Skip to main content
GET
/
data_streams
/
{key}
/
operations
/
{id}
Get a data stream operation
curl --request GET \
  --url https://api.endclose.com/v1/data_streams/{key}/operations/{id} \
  --header 'X-API-KEY: <api-key>'
{
  "id": 123,
  "data_stream_id": 123,
  "data_stream_key": "<string>",
  "progress": 123,
  "error_message": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "requested_by_user_id": 123
}

Documentation Index

Fetch the complete documentation index at: https://endclose.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

key
string
required

The immutable data stream key

id
string
required

The operation ID returned by DELETE /data_streams/{key} or POST /data_streams/{key}/reset

Response

The operation

Async operation against a data stream (delete or reset). Poll via GET /data_streams/{key}/operations/{id}.

id
integer
data_stream_id
integer
data_stream_key
string
kind
enum<string>
Available options:
delete,
reset
status
enum<string>
Available options:
pending,
running,
completed,
failed
progress
integer

Percentage 0-100

error_message
string | null
started_at
string<date-time> | null
completed_at
string<date-time> | null
created_at
string<date-time>
requested_by_user_id
integer | null